Support » Plugin: Duplicate Post » Notice: wpdb::escape is deprecated since version 3.6.0!

  • Resolved Argentum

    (@argentum)


    In get a notice when cloning a woo product (just after cloning a product, then it goes away). I have the Woocommerce Polylang plugin activated also, and some product are syncing between languages. I’m not sure what the error comes from. Just reporting.

    Notice: wpdb::escape is deprecated since version 3.6.0! Use wpdb::prepare() or esc_sql() instead. In /public_html/wp-includes/functions.php on line 3840.

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Lopo

    (@lopo)

    Hi @argentum,
    that function is not used anywhere in my plugin; moreover, Woocommerce has its own duplication feature so chances are you are using that one instead of Duplicate Post (it’s surely so if you don’t have enabled Duplicate Post for Products under SettingsDuplicate Post, tab Permissions).

    Have you contacted the Woocommerce, Polylang and Woocommerce Polylang teams?
    Are your plugins updated to the last version?

    I’m sorry I can’t be of more help…

    Yes, I am using Duplicate Post copy functionality. I made sure, since I want the copy to contain more fields than the WP copy. Not implying that your plugin is to blame. I had to start somewhere. Thanks!

    • This reply was modified 10 months, 4 weeks ago by  .
    • This reply was modified 10 months, 4 weeks ago by  .
    • This reply was modified 10 months, 4 weeks ago by  .
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Notice: wpdb::escape is deprecated since version 3.6.0!’ is closed to new replies.